# Ansible Role Navidrome

Ansible role to manage a [Navidrome](https://github.com/navidrome/navidrome) instance.

## Installation

Clone the repository in your local Ansible roles directory:

```
git clone https://git.riou.xyz/jriou/ansible-role-forgejo.git ~/.ansible/roles/navidrome
```

See [Storing and finding
roles](https://docs.ansible.com/ansible/latest/playbook_guide/playbooks_reuse_roles.html#storing-and-finding-roles).

## Configuration

See [Variable
precedence](https://docs.ansible.com/ansible/latest/playbook_guide/playbooks_variables.html#ansible-variable-precedence)
to find where you should put your own variables.

See list of [default
variables](https://git.riou.xyz/jriou/ansible-role-navidrome/src/branch/main/defaults/main.yml).

## Usage

Example of a basic navidrome.yml playbook:

```yaml
hosts:
  - navidrome

roles:
  - navidrome
```

Then run the playbook:

```
ansible-playbook navidrome.yml
```

## Donate

As we all love FOSS, you should consider sponsoring the
[Navidrome](https://github.com/navidrome/navidrome) project.
